%define module	setuptools

%define run_test 0
# This controls whether setuptools is build as a wheel or not,
# simplifying Python 3.5 bootstraping process
%define build_wheel 0

%if 0%{?build_wheel}
%define python_wheelname %{module}-%{version}-py2.py3-none-any.whl
%define python_record %{python_sitelib}/%{module}-%{version}.dist-info/RECORD
%endif
 
Summary:	Easily build and distribute Python packages
Name:		python2-%{module}
Version:	19.6.2
Release:	1%dist
License:	Python or ZPLv2.0
Group:		Development/Python
Url:		http://pypi.python.org/pypi/%{module}
Source0:	http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-backports-ssl_match_hostname
%if 0%{?build_wheel}
BuildRequires:  python-pip
BuildRequires:  python-wheel
%endif
# For unittests
%if 0%{?run_test}
BuildRequires:	subversion
BuildRequires:  python-pytest
BuildRequires:  python-mock
%endif
Requires:	python-pkg-resources

Provides:	python-setuptools = %{version}-%{release}
Obsoletes:	python-setuptools <= 0.9

Provides:	python-distribute = %{version}-%{release}
Obsoletes:	python-distribute < 0.7

%description
A collection of enhancements to the Python distutils that allow 
you to more easily build and distribute Python packages, especially 
ones that have dependencies on other packages.


%package -n python2-pkg-resources
Summary: Runtime module to access python resources
Group:		Development/Python

%description -n python2-pkg-resources
Module used to find and manage Python package/version dependencies and access
bundled files and resources, including those inside of zipped .egg files.


%prep
%setup -q -n %{module}-%{version}

find -name '*.txt' -exec chmod -x \{\} \;
find . -name '*.orig' -exec rm \{\} \;
# remove tests that can't be run on the BS
rm setuptools/tests/test_integration.py 
rm setuptools/tests/test_sdist.py
rm setuptools/tests/test_easy_install.py

rm -f setuptools/*.exe

for file in setuptools/command/easy_install.py ; do
    sed -i '1s|^#!python|#!%{__python}|' $file
done

%build
%if 0%{?build_wheel}
%{__python} setup.py bdist_wheel
%else
%{__python} setup.py build
%endif

%install
%if 0%{?build_wheel}
pip2 install -I dist/%{python_wheelname} --root %{buildroot} --strip-file-prefix %{buildroot}
%else
%{__python} setup.py install --skip-build --root=%{buildroot} --prefix=%{_prefix}
%endif

rm -rf %{buildroot}%{python_sitelib}/setuptools/tests
%if 0%{?build_wheel}
sed -i '/^setuptools\/tests\//d' %{buildroot}%{python_record}
%endif

find %{buildroot}%{python_sitelib} -name '*.exe' | xargs rm -f
chmod +x %{buildroot}%{python_sitelib}/setuptools/command/easy_install.py

%if 0%{?run_test}
%check
PYTHONPATH=$(pwd) py.test
%endif

%files
%doc *.txt docs
%{_bindir}/easy_install
%{_bindir}/easy_install-2.*
%{python_sitelib}/*
%exclude %{python_sitelib}/pkg_resources

%files -n python2-pkg-resources
%{python_sitelib}/pkg_resources
